Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge --update world - Howto Remove Blocking Packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
wolwy
n00b
n00b


Joined: 19 Nov 2008
Posts: 7

PostPosted: Mon Nov 24, 2008 2:22 am    Post subject: emerge --update world - Howto Remove Blocking Packages Reply with quote

Hi, while im trying to update my system i ran the command,

genPC ~ # emerge --update --deep --newuse world

and it gave some blocks in the packages;
Code:

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] sys-devel/gnuconfig-20080123 [20070724]
[ebuild   R   ] sys-apps/tcp-wrappers-7.6-r8  USE="-ipv6*"
[ebuild     U ] app-arch/bzip2-1.0.5-r1 [1.0.5]
[ebuild     U ] app-misc/pax-utils-0.1.17 [0.1.16]
[ebuild     U ] dev-libs/gmp-4.2.2-r2 [4.2.2]
[ebuild     U ] sys-devel/autoconf-wrapper-5 [4-r3]
[ebuild     U ] app-admin/python-updater-0.5 [0.2]
[ebuild     U ] sys-libs/timezone-data-2008g-r1 [2007k]
[ebuild   R   ] sys-devel/patch-2.5.9  USE="(-build%)"
[ebuild   R   ] sys-libs/ncurses-5.6-r2  USE="(-bootstrap%) (-build%)"
[ebuild     U ] dev-libs/mpfr-2.3.1_p1 [2.3.0_p4]
[ebuild   R   ] media-libs/tiff-3.8.2-r4  USE="jpeg*"
[ebuild     U ] net-misc/iputils-20071127 [20070202] USE="-ipv6*"
[ebuild     U ] app-shells/bash-3.2_p33 [3.2_p17-r1]
[ebuild     U ] sys-apps/less-418 [416]
[ebuild     U ] sys-libs/readline-5.2_p12-r1 [5.2_p7]
[ebuild  N    ] virtual/pager-0 
[ebuild   R   ] app-text/poppler-0.8.7  USE="jpeg*"
[ebuild     U ] sys-libs/cracklib-2.8.12 [2.8.10]
[ebuild     U ] sys-apps/file-4.23 [4.21-r1]
[ebuild     U ] sys-apps/busybox-1.11.1 [1.8.2]
[ebuild     U ] perl-core/Test-Harness-3.10 [2.64]
[ebuild     U ] app-admin/perl-cleaner-1.05 [1.04.3]
[ebuild     U ] sys-apps/sed-4.1.5-r1 [4.1.5]
[ebuild     U ] sys-apps/texinfo-4.11-r1 [4.8-r5]
[ebuild     U ] sys-apps/findutils-4.4.0 [4.3.11]
[ebuild     U ] app-editors/nano-2.1.5 [2.0.7]
[ebuild     U ] sys-devel/flex-2.5.35 [2.5.33-r3]
[ebuild     U ] sys-apps/gawk-3.1.6 [3.1.5-r5]
[ebuild     U ] app-arch/gzip-1.3.12-r1 [1.3.12]
[ebuild     U ] sys-apps/net-tools-1.60_p20071202044231-r1 [1.60-r13]
[ebuild     U ] app-arch/tar-1.20 [1.19-r1]
[ebuild     U ] sys-devel/autoconf-2.61-r2 [2.61-r1]
[ebuild  N    ] sys-devel/bc-1.06.95  USE="readline -libedit -static"
[ebuild     U ] sys-apps/which-2.19 [2.16]
[ebuild     U ] sys-devel/automake-1.10.1-r1 [1.10.1]
[ebuild     U ] sys-devel/binutils-2.18-r3 [2.18-r1]
[ebuild     U ] sys-devel/libtool-1.5.26 [1.5.24]
[ebuild     U ] sys-libs/db-4.5.20_p2-r1 [4.5.20_p2]
[ebuild     U ] sys-apps/attr-2.4.41 [2.4.39]
[ebuild   R   ] sys-apps/groff-1.19.2-r1  USE="X*"
[ebuild     U ] sys-apps/shadow-4.0.18.2 [4.0.18.1-r1]
[ebuild   R   ] media-gfx/imagemagick-6.4.4.6  USE="jpeg*"
[ebuild     U ] sys-process/psmisc-22.6 [22.5-r2] USE="X* -ipv6*"
[ebuild     U ] sys-apps/acl-2.2.47 [2.2.45]
[ebuild     U ] sys-apps/man-1.6f-r2 [1.6e-r3]
[ebuild     U ] sys-apps/coreutils-6.10-r2 [6.10-r1]
[ebuild     U ] sys-devel/libperl-5.8.8-r2 [5.8.8-r1]
[ebuild     U ] net-misc/rsync-3.0.3 [2.6.9-r6] USE="iconv%* xinetd* -ipv6* -xattr%"
[ebuild     U ] sys-fs/udev-124-r1 [115-r1]
[ebuild   R   ] sys-devel/gcc-4.1.2  USE="gtk* -libffi%"
[ebuild   R   ] sys-libs/glibc-2.6.1  CROSSCOMPILE_OPTS="-headers-only%"
[ebuild     U ] dev-libs/openssl-0.9.8h-r1 [0.9.8g-r2]
[ebuild   R   ] net-print/cups-1.3.8-r2  USE="jpeg*"
[ebuild     U ] app-misc/ca-certificates-20080514-r2 [20070303-r1]
[ebuild     U ] net-misc/openssh-5.1_p1-r1 [4.7_p1-r6] USE="X*"
[ebuild     U ] net-misc/wget-1.11.3 [1.10.2] USE="-ipv6*"
[ebuild   R   ] www-client/links-2.2  USE="jpeg*"
[ebuild   R   ] x11-libs/gtk+-2.12.11  USE="jpeg*"
[ebuild   R   ] gnome-base/libgnomeui-2.22.1  USE="jpeg*"
[ebuild   R   ] app-editors/gvim-7.2  USE="-netbeans*"
[ebuild   R   ] sys-apps/hal-0.5.11-r1  USE="-dell* -disk-partition*"
[ebuild     U ] sys-apps/man-pages-3.12 [2.76] LINGUAS="-cs% -da% -de% -es% -fr% -it% -ja% -nl% -pl% -ro% -ru% -zh_CN%"
[ebuild  N    ] sys-apps/man-pages-posix-2003a 
[ebuild     U ] sys-fs/e2fsprogs-1.41.2 [1.40.8]
[ebuild  N    ] sys-libs/e2fsprogs-libs-1.41.2  USE="nls"
[blocks B     ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.2)
[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.2)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.2)

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


So, thinking of removing the packages wich causes the blocks, i just checked the dependencies of them;
Code:

genPC ~ # equery d sys-fs/e2fsprogs     
[ Searching for packages depending on sys-fs/e2fsprogs... ]
gnome-extra/gnome-utils-2.20.0.1 (sys-fs/e2fsprogs)
sys-apps/parted-1.8.8 (>=sys-fs/e2fsprogs-1.27)
sys-apps/util-linux-2.13.1.1 (>=sys-fs/e2fsprogs-1.34)

genPC ~ # equery d sys-libs/ss     

[ Searching for packages depending on sys-libs/ss... ]
sys-fs/e2fsprogs-1.40.8 (~sys-libs/ss-1.40.8)

genPC ~ # equery d sys-libs/com_err
[ Searching for packages depending on sys-libs/com_err... ]
sys-fs/e2fsprogs-1.40.8 (~sys-libs/com_err-1.40.8)
sys-libs/ss-1.40.8 (~sys-libs/com_err-1.40.8)



(I) Im trying to figure out a solution, can someone pls suggest me what will be the safest way to get rid of this block.
(II)
If a block occurs after
emerge --update --deep --newuse world command
and then if i execute
emerge --depclean and revdep-rebuild
does it updates the system, or does it ignores updating the world just because there is a block in the package update?

Thankx in advance.
Back to top
View user's profile Send private message
jstead1
Guru
Guru


Joined: 01 Aug 2003
Posts: 427
Location: Oswego, NY where the snow is deep

PostPosted: Mon Nov 24, 2008 3:10 am    Post subject: Reply with quote

Here is the link to the sticky thread
https://forums.gentoo.org/viewtopic-t-712898-highlight-comerr.html
The following should work
Code:

# emerge -f e2fsprogs e2fsprogs-libs
# emerge --unmerge ss com_err e2fsprogs
# emerge e2fsprogs e2fsprogs-libs

It would probably be a good idea to make sure you had the distfile for com_err, because if the fix doesn't work, you can't download with emerge if com_err isn't installed, and the e2fsprogs update fails. Kind of unclear, but read the thread, and you will see ... well whatever.
_________________
jim
Back to top
View user's profile Send private message
ramsesxi
n00b
n00b


Joined: 22 Nov 2008
Posts: 24
Location: Stockholm

PostPosted: Mon Nov 24, 2008 3:29 am    Post subject: Reply with quote

Read this bug-report:

https://bugs.gentoo.org/show_bug.cgi?id=244511

make shure to have wget in /usr/portage/distfiles because you have to recompile it after you unmerge com_err. This is because it depends on com_err (if ssl)
Back to top
View user's profile Send private message
wolwy
n00b
n00b


Joined: 19 Nov 2008
Posts: 7

PostPosted: Mon Nov 24, 2008 9:53 am    Post subject: Reply with quote

Thankx for the info,
sorry i missed the sticky thread.
It had the solution.
Back to top
View user's profile Send private message
timeBandit
Bodhisattva
Bodhisattva


Joined: 31 Dec 2004
Posts: 2671
Location: here, there or in transit

PostPosted: Mon Nov 24, 2008 2:24 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.
See the thread and bug report referenced above.
_________________
Plants are pithy, brooks tend to babble--I'm content to lie between them.
Super-short f.g.o checklist: Search first, strip comments, mark solved, help others.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum